PipelinesList opportunities

List opportunities

GET /pipelines/{pipeline_id}/opportunities

curl -X GET "https://app.bualpro.com/api/pipelines/3.14/opportunities?contact_id=3.14&offset=0&limit=100" \
  -H "Content-Type: application/json" \
  -H "X-ACCESS-TOKEN: YOUR_API_KEY"
{
  "data": [
    {
      "id": 3.14,
      "contact_id": 3.14,
      "title": "example_string",
      "description": "example_string",
      "value": 3.14,
      "status": "example_string",
      "priority": "example_string",
      "stage": {
        "id": 3.14,
        "name": "Johan Ahmad"
      },
      "assigned_admins": [
        3.14
      ],
      "created_at": "2028-02-08 12:34:56",
      "created_by": 3.14,
      "updated_at": "2028-02-08 12:34:56",
      "updated_by": 3.14
    }
  ]
}
GET
/pipelines/{pipeline_id}/opportunities
GET
Base URLstring

Target server for requests. Edit to use your own host.

API Key (header: X-ACCESS-TOKEN)
X-ACCESS-TOKENstring
Required

API key (sent in header)

query
contact_idnumber

The ID of the contact to filter the opportunities.

query
offsetinteger

Specifies the starting position of the first record to return in a paginated response.

query
limitinteger

Sets the maximum number of records to return per request.

Request Preview
Response

Response will appear here after sending the request

Authentication

header
X-ACCESS-TOKENstring
Required

API Key for authentication. Provide your API key in the header.

Path Parameters

Query Parameters

contact_idnumber

The ID of the contact to filter the opportunities.

offsetinteger

Specifies the starting position of the first record to return in a paginated response.

limitinteger

Sets the maximum number of records to return per request.

Responses

dataarray

Get list of opportunities / tickets